//package org.example.project
//
//import io.ktor.http.HttpStatusCode
//import io.ktor.server.engine.embeddedServer
//import io.ktor.server.netty.Netty
//import io.ktor.server.application.*
//import io.ktor.server.plugins.contentnegotiation.ContentNegotiation
//import io.ktor.server.plugins.statuspages.StatusPages
//import io.ktor.server.response.*
//import io.ktor.server.routing.*
//import io.ktor.serialization.kotlinx.json.*
//import kotlinx.serialization.Serializable
//import org.example.project.Tables.Users
//import org.example.project.Tables.connectToDatabase
//import org.jetbrains.exposed.sql.*
//import org.jetbrains.exposed.sql.transactions.transaction
//
//fun startServer() {
//    connectToDatabase()
//
//    embeddedServer(Netty, port = 8080) {
//        install(ContentNegotiation) {
//            json()
//        }
//
//        install(StatusPages) {
//            exception<Throwable> { call, cause ->
//                call.respond(HttpStatusCode.InternalServerError, cause.localizedMessage)
//            }
//        }
//
//        routing {
//            get("/users") {
//                val users = transaction {
//                    Users.selectAll().map {
//                        it[Users.email]
//                    }
//                }
//                call.respond(users)
//            }
//        }
//    }.start(wait = true)
//}